<template>
  <div class="box"></div>
</template>

<script>
import { gameRequestApi } from "@/api/common.js";
const { getGameInfo } = gameRequestApi;

export default {
  components: {},
  data() {
    return {
      
    };
  },
  created() {
    document.title = "游戏";
    this.loadData();
  },
  methods: {
    loadData() {
      let query = this.$route.query;
      getGameInfo({
        gameId: query.gameId,
        enterpriseId: query.enterpriseId,
      }).then((res) => {
          let gameName = "";
        switch (+res.templateType) {
          case 1:
            gameName = "cmh";
            break;
          case 2:

            break;
            default:
                break;
        }
        this.$router.replace({
            path: `/${ gameName }/${ res.templateId }${ query.shareMemberId ? '/support' : '' }`,
            query: query,
        });

      });
    },
  },
};
</script>

<style scoped></style>
